package org.wso2.carbon.device.mgt.ios.exception;

/**
 * Custom exception class for iOS API related exceptions.
 */
public class IOSAgentException extends Exception{

    private static final long serialVersionUID = 7950151650447893900L;
    private String errorMessage;

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public IOSAgentException(String msg, Exception nestedEx) {
        super(msg, nestedEx);
        setErrorMessage(msg);
    }

    public IOSAgentException(String message, Throwable cause) {
        super(message, cause);
        setErrorMessage(message);
    }

    public IOSAgentException(String msg) {
        super(msg);
        setErrorMessage(msg);
    }

    public IOSAgentException() {
        super();
    }

    public IOSAgentException(Throwable cause) {
        super(cause);
    }
}